using UnityEngine;

public class CombatMessenger : MonoBehaviour
{
    private PlayerCombat _combatController;
    // Start is called once before the first execution of Update after the MonoBehaviour is created
    void Start()
    {
        _combatController = GetComponentInParent<PlayerCombat>();
    }

    // Update is called once per frame
    public void EndAttack()
    {
        _combatController.EndAttack();
    }

    public void DealDamage()
    {
     _combatController.DealDamage();   
    }

    public void OverrideHitboxLogic(int startSlide)
    {
        _combatController.OverrideHitboxLogic(startSlide == 1);
    }
}
